<?php

Route::prefix('Offers')->name('Offers.')->group(function () {
    Route::get('', 'OfferController@index')->name('index');
    Route::get('create', 'OfferController@create')->name('create');
    Route::delete('destroy/{id?}', 'OfferController@destroy')->name('destroy');
    Route::post('update', 'OfferController@update')->name('update');
    Route::post('store', 'OfferController@store')->name('store');
    Route::get('edit/{id}', 'OfferController@edit')->name('edit');
    Route::get('previewArticle/{id?}', 'OfferController@previewArticle')->name('previewArticle');
    Route::get('previewVariation/{id?}', 'OfferController@previewVariation')->name('previewVariation');
    Route::get('previewTariff/{id?}', 'OfferController@previewTariff')->name('previewTariff');
    Route::post('toggleActive', 'OfferController@toggleActive')->name('toggleActive');
});
